Erase OS before downgrading?

Discussion in 'PowerPC Macs' started by pianoman88, Feb 22, 2017.

  1. pianoman88 macrumors regular

    Joined:
    Aug 20, 2010
    #1
    Purchased a used Mac Mini PPC to run legacy software.
    Tried to install OS 8.5 by holding down C.
    Disk ejects so I push it in again.
    Eventually boots to OS X.
    Do I need to format the disk first, then install 8,5 ?

    Thanks
     
  2. chrfr macrumors 603

    Joined:
    Jul 11, 2009
    #2
    The Mac Mini can't run OS 8.5. The earliest Mac Mini can run 10.3.7 up to 10.5.8.
     
  3. eyoungren macrumors P6

    eyoungren

    Joined:
    Aug 31, 2011
    Location:
    Phoenix • 85037
    #3
    And way on the other end, you don't mean OS X 10.8.5 do you?

    If so, then your mini won't run that either. Leopard 10.5.8 is the last it can run.

    Unless you transposed the numbers and meant Leopard 10.5.8?
     
  4. kge420 macrumors member

    kge420

    Joined:
    Dec 16, 2008
    #4
    Always been a fan of erase-partition-install- when dealing with a used/unknown hard drive. I funds allow I put in a new one.
     
  5. pianoman88 thread starter macrumors regular

    Joined:
    Aug 20, 2010
    #5
    Got it.
    Installed a copy of 10.4.6 which allows me to run in Classic Mode.
    Just tried installing legacy copy of PhotoShop 5.5 and wasn't able to.
    Looking for OS 9.1 folder.
    Does this mean that I need to install OS 9 now?
     
  6. eyoungren macrumors P6

    eyoungren

    Joined:
    Aug 31, 2011
    Location:
    Phoenix • 85037
    #6
    I believe PS 5.5 and 6 requires OS 9 minimum.

    The graphic designer who sat behind me in 1999 was running 8.1 and PS 5.0 I think. I know I was using 5.5 (I had an OS9 G4 at the time).
     
  7. DeltaMac macrumors 604

    DeltaMac

    Joined:
    Jul 30, 2003
    Location:
    Delaware
    #7
    Do you have an OS 9 System Folder?
    Does OS 9 show a boot screen (with OS 0 starting up) when you run in Classic mode.
    Your mini can't boot to OS 9, you would be only able to use OS 9 in Classic mode.
    Would Photoshop even work in the Classic environment?
     
  8. eyoungren macrumors P6

    eyoungren

    Joined:
    Aug 31, 2011
    Location:
    Phoenix • 85037
    #8
    It works under Classic. So does Acrobat 5.0 and QuarkXPress 4.11 along with Suitcase 10 and X1.
     
  9. chrfr macrumors 603

    Joined:
    Jul 11, 2009
    #9
    I believe the mini would have come with a disc that added Classic support and included an OS 9 system folder.
     

Share This Page